Package com.sas.lsaf.workflow

## Class MappingAttributeMetadata

- java.lang.Object
- - com.sas.lsaf.workflow.MappingAttributeMetadata

- All Implemented Interfaces:
    `java.io.Serializable`

      public class MappingAttributeMetadata
      extends java.lang.Object
      implements java.io.Serializable

  The class that describes the attributes for a process flow element, the other type of attributes to which they can be mapped and the mapping method.
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MappingAttributeMetadata​(java.lang.String attributeName, FlowAttributeType attributeType, java.util.Set<AutoFlowMappingMetadata> mappingAttributes, boolean multiValued, java.lang.String attributeDisplayName)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getAttrDisplayName()` | Gets the display name of the process flow element attribute.
    `java.lang.String` | `getAttrName()` | Gets the name of the process flow element attribute.
    `FlowAttributeType` | `getAttrType()` | Gets the type of the process flow element attribute.
    `java.util.Set<AutoFlowMappingMetadata>` | `getMapAttributes()` | Gets the attributes that can be mapped for the process flow element.
    `int` | `hashCode()` |
    `boolean` | `isMultiValued()` | Gets whether the process flow element attribute can be mapped to multiple attributes.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MappingAttributeMetadata

          public MappingAttributeMetadata​(java.lang.String attributeName,
                                          FlowAttributeType attributeType,
                                          java.util.Set<AutoFlowMappingMetadata> mappingAttributes,
                                          boolean multiValued,
                                          java.lang.String attributeDisplayName)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the mapping attribute metadata returned by the API.
      Parameters:
        `attributeName` - The name of the process flow element attribute.
        `attributeType` - The type of the process flow element attribute.
        `mappingAttributes` - The attributes that can be mapped for the process flow element.
        `multiValued` - Indicates whether the process flow element attribute can be mapped to multiple attributes.
        `attributeDisplayName` - The name of the process flow element attribute.

  - ### Method Detail

    - #### getAttrName

          public java.lang.String getAttrName()

      Gets the name of the process flow element attribute.
      Returns:
        The name.

    - #### getAttrType

          public FlowAttributeType getAttrType()

      Gets the type of the process flow element attribute.
      Returns:
        The type.

    - #### getAttrDisplayName

          public java.lang.String getAttrDisplayName()

      Gets the display name of the process flow element attribute.
      Returns:
        The display name.

    - #### getMapAttributes

          public java.util.Set<AutoFlowMappingMetadata> getMapAttributes()

      Gets the attributes that can be mapped for the process flow element.
      Returns:
        The attributes.

    - #### isMultiValued

          public boolean isMultiValued()

      Gets whether the process flow element attribute can be mapped to multiple attributes.
      Returns:
        The indicator that the process flow element attribute can be mapped to multiple attributes.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`